Bug 10437 - (int-172061) Initial page load is delayed often without a reason
(int-172061)
: Initial page load is delayed often without a reason
Status: NEW
Product: Browser
MicroB engine
: 5.0:(20.2010.36-2)
: All Maemo
: Unspecified normal with 8 votes (vote)
: ---
Assigned To: unassigned
: microb-bugs
:
: performance
:
:
  Show dependency tree
 
Reported: 2010-05-31 01:43 UTC by Dawid Lorenz
Modified: 2010-12-10 07:36 UTC (History)
5 users (show)

See Also:


Attachments
Strace of browserd while page load (132.94 KB, application/x-gzip)
2010-05-31 01:48 UTC, Dawid Lorenz
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Dawid Lorenz (reporter) 2010-05-31 01:43:58 UTC
SOFTWARE VERSION:
PR1.2 (issue was also present in earlier versions)

EXACT STEPS LEADING TO PROBLEM: 
Simply launch *any* URL in Browser. Could be a shortcut from desktop, manually
entered URL or even html stored in local filesystem and opened via file
browser.

EXPECTED OUTCOME:
Assuming stable and fast internet connection (when loading remote sites),
initial page load should start instantly.

ACTUAL OUTCOME:
Browser UI comes up on the screen but requested page doesn't actually start
loading. Instead, a requested URL and progress bar bouncing left-right in
location bar is visible for some time before page starts loading. Once it
starts page is loaded relatively quickly, depending on current connection.

Sometimes lag takes just couple of seconds, sometimes tens (!) of seconds, very
rarely page load starts instantly, as soon as Browser UI comes up on the
screen.

REPRODUCIBILITY:
Not directly reproducible, however it occurs quite often.

OTHER COMMENTS:
DNS resolving issues was my primary suspect here, however the same problem also
occurs while loading html files stored in local filesystem
(file:///home/user/somefile.html), which shouldn't be affected by DNS in any
way.

What is also worth noting, this does not happen in Firefox/Fennec browser
(alpha builds) where page starts loading very quickly on nearly each request.


User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9.2.3)
Gecko/20100403 Fedora/3.6.3-4.fc13 Firefox/3.6.3
Comment 1 timeless 2010-05-31 01:46:14 UTC
if you've recently closed the browser, it's possible you're waiting for the
browser daemon to restart....
Comment 2 Dawid Lorenz (reporter) 2010-05-31 01:48:07 UTC
Created an attachment (id=2784) [details]
Strace of browserd while page load

Not sure whether that's useful in any way, but this is a strace of
"/usr/sbin/browserd -s 17655 -n browserui" process while requesting example
http://www.sport.zgora.pl URL from desktop shortcut. It took approx. 7-8
seconds between displaying Browser UI and starting page load in this case.
Connection was via wifi connected to DSL line.
Comment 3 Dawid Lorenz (reporter) 2010-05-31 01:52:17 UTC
(In reply to comment #1)
> if you've recently closed the browser, it's possible you're waiting for the
> browser daemon to restart....

Maybe, but it also happens when browser(d) wasn't touched for longer while. Or
when I try to load few pages one by one.
Comment 4 Henri 2010-05-31 15:37:54 UTC
*** This bug has been confirmed by popular vote. ***
Comment 5 Eero Tamminen nokia 2010-06-02 18:26:22 UTC
(In reply to comment #1)
> if you've recently closed the browser, it's possible you're waiting for the
> browser daemon to restart....

Or if one didn't close browser manually, the very long wait could have been
browser daemon restart due to a crash (e.g. in flash code).  If one has crash
reporter installed, it will tell about these.
Comment 6 Dawid Lorenz (reporter) 2010-06-02 19:01:52 UTC
(In reply to comment #5)
> Or if one didn't close browser manually, the very long wait could have been
> browser daemon restart due to a crash (e.g. in flash code).  If one has crash
> reporter installed, it will tell about these.
> 

I don't think quiet browserd crashing in the background is the case here, for
couple of reasons:

1) This issue is affecting me way too often and I rather don't believe browserd
is *that* unstable.
2) Crash Reporter doesn't store any reports, while I would expect it did when
crash occurs. For example, this morning I've been affected by this issue at
least few times, yet I don't see any stored reports in Crash Reporter at all.
Comment 7 Dawid Lorenz (reporter) 2010-06-16 16:33:23 UTC
I've been looking into this issue more closely over past two weeks and I've
noticed that delayed page load is only happening when the very first browser
windows gets opened, but keeping it opened and opening every subsequent browser
window later on, brings up requested page very fast.

My "old" way of browsing web was opening browser windows one by one, ie. when I
finished reading one page, I closed its window and trigged opening another one
straight away. This way I've been waiting ages for each window to load pages.

Recently, I tend to open first browser window, read it but *do not* close it,
so subsequently opened browser windows don't suffer from delayed page load
issue.

All in all, it turns out browser daemon (re)starting in the background when the
last browser windows instance is closed, might indeed causing this.
Comment 8 Pekka Vanhoja 2010-06-23 14:01:11 UTC
(In reply to comment #7)
>
> All in all, it turns out browser daemon (re)starting in the background when the
> last browser windows instance is closed, might indeed causing this.
> 

Hi Dawid,

Thanks for your observations. I'll take a look what's going on when the last
window is closed and the daemon is restarted.
Comment 9 Neil MacLeod maemo.org 2010-10-26 10:40:07 UTC
No surprise but not fixed in PR1.3.